#!/bin/sh
# Set this if you are using a remote server or another protocol
XINE_SERVER="xvdr://localhost"
source /etc/vdr.d/conf/vdr

logger "$0 starting ..."
LOG="/tmp/vdr-sxfe.log"
if [ "$(pidof vdr)" != "" ] ; then
   CARDS=$(cat /proc/asound/cards | awk '/: / { print $1 }')
   if [ "$CARDS" != "" ] ; then
      AO="alsa"
   else
      AO="null"   
   fi   
   if [ "$(xvinfo | grep "no adaptors present")" = "" ] ; then
      VO="xv"
   else
      VO="xshm"      
   fi

   killall -9 vdr-sxfe > /dev/null 2>&1
   export DISPLAY=:0.0						  
#   vdr-sxfe --width=$WIDTH --height=$HEIGHT -A $SND -V xv xvdr://$XINE_SERVER --post tvtime:method=Linear,cheap_mode=1,pulldown=0,use_progressive_frame_flag=1 | logger 2>&1  
#   xte "mousemove 2000 2000"
# Calculate aspect ratio
   $ASPECT=""
   if [ "$(grep VideoFormat /etc/vdr/setup.conf| grep 1)"  != "" ] ; then
      $ASPECT="--aspect=4:3"
   fi

   while [ ! -e /tmp/.stopxvdr ] && [ ! -e /tmp/.shutdown ] && [ ! -e /tmp/.vdrdisabled ]; do
      logger -s "$0 - starte vdr-sxfe"   
#      /usr/local/bin/vdr-sxfe --video $VO -A $AO xvdr://localhost --nokbd --fullscreen --post tvtime:method=Linear,cheap_mode=1,pulldown=0,use_progressive_frame_flag=1 | logger 2>&1  
      /usr/local/bin/vdr-sxfe --video $VO -A $AO $XINE_SERVER --reconnect --fullscreen $ASPECT 2>&1 |tee -a $LOG | logger
      echo "" >> $LOG
      ABC="$(tail -n 3 $LOG)"

      if [ "$(tail -n 3 $LOG | grep "Terminating")" != "" ] ; then
         logger -s "$ABC"
         logger "vdr-sxfe ended"
         if [ "$GUI" != "VDR" ] ; then
            touch /tmp/.stopxvdr
            break
         fi	    
      else	 
         logger "vdr-sxfe died"
      fi	 
      sleep 1      
   done      
else 
   logger "$0 - vdr not running"   
fi
logger "$0 - exiting"   
